package v1

import (
	"cp-organization-management-gateway/param/base"
	"cp-organization-management-gateway/pb/v1"
)

type RbacNodeListQuery struct {
	GroupId int64 `form:"group_id" json:"group_id"`
	OnlySelect bool `form:"only_select" json:"only_select"`
}
type RbacNodeListRequest struct {
	base.Header
	RbacNodeListQuery
}

type RbacNodeListResponse struct {
	base.Result
	Data v1.RbacNodeListReply `json:"data"`
}


type RbacGroupListRequest struct {
	base.Header
}

type RbacGroupListResponse struct {
	base.Result
	Data v1.RbacGroupListReply `json:"data"`
}

type RbacNodeListByGroupOrUserRequest struct {
	base.Header
}

type RbacNodeListByGroupOrUserResponse struct {
	base.Result
	Data v1.RbacNodeListByGroupOrUserReply `json:"data"`
}

type RbacGroupAddBody struct {
	Name                 string   `from:"name"json:"name"`
	NodeList             string   `form:"node_list" json:"node_list"`
}

type RbacGroupAddRequest struct {
	base.Header
	RbacGroupAddBody
}

type RbacGroupAddResponse struct {
	base.Result
	Data v1.RbacGroupAddReply `json:"data"`
}

type RbacGroupUpdateBody struct {
	Id int64 `form:"id"`
	Name                 string   `from:"name"json:"name"`
	NodeList             string   `form:"node_list" json:"node_list"`
}

type RbacGroupUpdateRequest struct {
	base.Header
	RbacGroupUpdateBody
}

type RbacGroupUpdateResponse struct {
	base.Result
}

type RbacGroupDelPath struct {
	Id int64 `uri:"id"`
}

type RbacGroupDelRequest struct {
	base.Header
	RbacGroupDelPath
}

type RbacGroupDelResponse struct {
	base.Result
}




