package v1

import (
	"cp-organization-management-gateway/param/base"
	"cp-organization-management-gateway/pb/v1"
)


type ZoneListRequest struct {
	base.Header
}

type ZoneListResponse struct {
	base.Result
	Data v1.ZoneListReply `json:"data"`
}

type ZoneAddBody struct {
	ZoneName             string   `form:"zone_name" json:"zone_name"`
	ParentZoneCode       string   `form:"parent_zone_code" json:"parent_zone_code"`
}

type ZoneAddRequest struct {
	base.Header
	ZoneAddBody
}

type ZoneAddResponse struct {
	base.Result
	Data v1.ZoneAddReply `json:"data"`
}

type ZoneUpdateBody struct {
	ZoneName             string   `form:"zone_name" json:"zone_name"`
	ZoneCode       string   `form:"zone_code" json:"zone_code"`
	ParentZoneCode string `form:"parent_zone_code" json:"parent_zone_code"`
}

type ZoneUpdateRequest struct {
	base.Header
	ZoneUpdateBody
}

type ZoneUpdateResponse struct {
	base.Result
}

type ZoneDelPath struct {
	ZoneCode string `uri:"zone_code" json:"zone_code"`
}

type ZoneDelRequest struct {
	base.Header
	ZoneDelPath
}

type ZoneDelResponse struct {
	base.Result
}

